Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.util
Class Criteria.Criterion

    java.lang.Object
      org.apache.torque.util.Criteria.Criterion

All Implemented Interfaces:
  Serializable

Enclosing class:
  Criteria

    public final class Criteria.Criterion

extends Object
implements Serializable

This is an inner class that describes an object in the criteria.

See Also:
  Serialized Form

Field Summary
`static String` | `AND` Constant for thze operator " AND ".
`static String` | `OR` Constant for thze operator " OR ".

Method Summary
`Criteria.Criterion` | `and(Criteria.Criterion criterion)` Append an AND Criterion onto this Criterion's list.
`void` | `appendTo(StringBuffer sb)` Appends a representation of the Criterion onto the buffer.
`boolean` | `equals(Object obj)` This method checks another Criteria.Criterion to see if they contain the same attributes.
`List<String>` | `getAllTables()` Get the name of all tables from nested criterion objects
`Criteria.Criterion[]` | `getAttachedCriterion()` get an array of all criterion attached to this recursing through all sub criterion
`List<Criteria.Criterion>` | `getClauses()` Returns the list of clauses in this Criterion.
`Column` | `getColumn()` Get the column.
`SqlEnum` | `getComparison()` Get the comparison.
`List<String>` | `getConjunctions()` Returns the list of conjunctions in this Criterion
`Object` | `getValue()` Get the value.
`int` | `hashCode()` Returns a hash code value for the object.
`boolean` | `isIgnoreCase()` Is ignore case on or off?
`Criteria.Criterion` | `or(Criteria.Criterion criterion)` Append an OR Criterion onto this Criterion's list.
`Criteria.Criterion` | `setIgnoreCase(boolean b)` Sets ignore case.
`void` | `setValue(Object value)` Set the value of the criterion.
`String` | `toString()` Build a string representation of the Criterion.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AND

    public static final String AND

  Constant for thze operator " AND ".

  See Also:
    Constant Field Values

### OR

    public static final String OR

  Constant for thze operator " OR ".

  See Also:
    Constant Field Values

Method Detail

### getColumn

    public Column getColumn()

  Get the column.

  Returns:
    the column.

### getComparison

    public SqlEnum getComparison()

  Get the comparison.

  Returns:
    A String with the comparison.

### getValue

    public Object getValue()

  Get the value.

  Returns:
    An Object with the value.

### setValue

    public void setValue(Object value)

  Set the value of the criterion.

  Parameters:
    `value` - the new value.

### setIgnoreCase

    public Criteria.Criterion setIgnoreCase(boolean b)

  Sets ignore case.

  Parameters:
    `b` - True if case should be ignored.
  Returns:
    A modified Criteria object.

### isIgnoreCase

    public boolean isIgnoreCase()

  Is ignore case on or off?

  Returns:
    True if case is ignored.

### getClauses

    public List<Criteria.Criterion> getClauses()

  Returns the list of clauses in this Criterion.

  Returns:
    an unmodifiable list of the clauses, not null.

### getConjunctions

    public List<String> getConjunctions()

  Returns the list of conjunctions in this Criterion

  Returns:
    an unmodifiable list of the conjunctions, not null.

### and

    public Criteria.Criterion and(Criteria.Criterion criterion)

  Append an AND Criterion onto this Criterion's list.

### or

    public Criteria.Criterion or(Criteria.Criterion criterion)

  Append an OR Criterion onto this Criterion's list.

### appendTo

    public void appendTo(StringBuffer sb)
                  throws TorqueException

  Appends a representation of the Criterion onto the buffer.

  Throws:
    `TorqueException`

### toString

    public String toString()

  Build a string representation of the Criterion.

  Overrides:
    `toString` in class `Object`
  Returns:
    A String with the representation of the Criterion.

### equals

    public boolean equals(Object obj)

  This method checks another Criteria.Criterion to see if they contain the same attributes.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `Object`

### getAllTables

    public List<String> getAllTables()

  Get the name of all tables from nested criterion objects

  Returns:
    the list of tables

### getAttachedCriterion

    public Criteria.Criterion[] getAttachedCriterion()

  get an array of all criterion attached to this recursing through all sub criterion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.